/***************************************************
//Web: http://www.buydisplay.com
EastRising Technology Co.,LTD
Examples for ER-OLEDM0.95-2C
Display is Hardward SPI 4-Wire SPI Interface 
Tested and worked with:
Works with Arduino 1.6.0 IDE  
Test OK : Arduino DUE,Arduino mega2560,Arduino UNO Board 
****************************************************/

/*
  == Hardware connection ==
    OLED   =>    Arduino
  *1. GND    ->    GND
  *2. VCC    ->    3.3
  *3. SCL    ->    SCK
  *4. SDA    ->    MOSI
  *5. RES    ->    8 
  *6. DC     ->    9
  *7. CS     ->    10
*/

#include <SPI.h>
#include <Wire.h>
#include "ssd1331.h"

#define WIDTH      96
#define HEIGHT     64
#define PAGES       8

uint8_t oled_buf[WIDTH * HEIGHT / 8];

void setup() {
  Serial.begin(9600);
  Serial.print("OLED Example\n");
  
  SSD1331_begin();

}

void loop() {

  SSD1331_clear(RED);   
   delay(1000); 
  SSD1331_clear(GREEN);   
   delay(1000);    
  SSD1331_clear(BLUE);   
   delay(1000);       
  SSD1331_clear(WHITE);   
   delay(1000);    
  SSD1331_clear(CYAN);   
   delay(1000);    
  SSD1331_clear(YELLOW);   
   delay(1000); 
  SSD1331_clear(MAGENTA);   
   delay(1000);    


  /* display an image of bitmap matrix */
  SSD1331_65k_bitmap(0, 0, pic1, 96, 64);
  delay(3000);
  
  SSD1331_clear(BLACK);
  /* display images of bitmap matrix */
  SSD1331_mono_bitmap(0, 2, Signal816, 16, 8, GOLDEN); 
  SSD1331_mono_bitmap(19, 2, Msg816, 16, 8, GOLDEN); 
  SSD1331_mono_bitmap(38, 2, Bluetooth88, 8, 8, GOLDEN); 
  SSD1331_mono_bitmap(52, 2, GPRS88, 8, 8, GOLDEN); 
  SSD1331_mono_bitmap(66, 2, Alarm88, 8, 8, GOLDEN); 
  SSD1331_mono_bitmap(80, 2, Bat816, 16, 8, GOLDEN); 

  /* display strings */
  SSD1331_string(6, 52, "buydisplay.", 12, 1, GREEN); 
  SSD1331_string(72, 52, "com", 12, 0, MAGENTA); 


  /* display strings 32x16 */
  SSD1331_char3216(0,16, '1', BLUE);
  SSD1331_char3216(16,16, '2', BLUE);
  SSD1331_char3216(40,16, ':', RED);
  SSD1331_char3216(64,16, '3', GREEN);
  SSD1331_char3216(80,16, '4', GREEN);
  delay(3000);

}

